I tried to push this up to my PPA, but ran into dependency issues... It
wants the following: binutils-mingw-w64-i686 (>= 2.28~), binutils-
mingw-w64-x86-64 (>= 2.28~), g++-7, gcc-7-source (>= 7.2.0-20), gnat-7

I tried backporting binutils-mingw-w64 to the PPA, that then wanted
binutils-source, which comes from src:binutils. When I tried binutils, I
got a weird error:

# Pastebin dFgEDKXz
 dpkg-source -b binutils-xenial
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building binutils using existing ./binutils_2.30.orig.tar.xz
dpkg-source: info: building binutils in 
binutils_2.30-4ubuntu1~ubuntu16.04.1~ppa1.debian.tar.xz
dpkg-source: info: building binutils in 
binutils_2.30-4ubuntu1~ubuntu16.04.1~ppa1.dsc
 dpkg-genchanges -S -sa -v2.26.1-1ubuntu1~16.04.6 
>../binutils_2.30-4ubuntu1~ubuntu16.04.1~ppa1_source.changes
dpkg-genchanges: warning:     debian/changelog(l395): found change data where 
expected next heading or end of file
LINE:   * 
dpkg-genchanges: warning:     debian/changelog(l7258): invalid abbreviated 
month name 'Sept'
LINE:  -- Christopher C. Chimelis <ch...@classnet.med.miami.edu>  Sat, 18 Sept 
1999 01:21:05 -0400
dpkg-genchanges: warning:     debian/changelog(l7258): cannot parse 
non-comformant date '18 Sept 1999 01:21:05 -0400'
LINE:  -- Christopher C. Chimelis <ch...@classnet.med.miami.edu>  Sat, 18 Sept 
1999 01:21:05 -0400
dpkg-genchanges: warning: 'since' option specifies non-existing version
dpkg-genchanges: warning: use newest entry that is earlier than the one 
specified
dpkg-genchanges: error: unknown1 is not a valid version
dpkg-buildpackage: error: dpkg-genchanges gave error exit status 255
debuild: fatal error at line 1376:
dpkg-buildpackage -rfakeroot -d -us -uc -S -nc -sa -v2.26.1-1ubuntu1~16.04.6 
failed
backportpackage: Error: debuild returned 29.

And when I tried g++-7, all kinds of other stuff started popping up,
causing me to suspect that I'm going down a rabbit hole I shouldn't be.
Is there something else I should be doing?

Thanks!

-- 
You received this bug notification because you are a member of Ubuntu
Backporters, which is subscribed to the bug report.
https://bugs.launchpad.net/bugs/1748945

Title:
  Please backport gcc-mingw-w64 20.2 (universe) from bionic-proposed

To manage notifications about this bug go to:
https://bugs.launchpad.net/xenial-backports/+bug/1748945/+subscriptions

-- 
ubuntu-backports mailing list
ubuntu-backports@lists.ubuntu.com
Modify settings or unsubscribe at: 
https://lists.ubuntu.com/mailman/listinfo/ubuntu-backports

Reply via email to